<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__trigmux_8c" kind="file" language="C++">
    <compoundname>cy_trigmux.c</compoundname>
    <includes local="yes" refid="cy__trigmux_8h">cy_trigmux.h</includes>
    <includes local="yes">cy_device.h</includes>
    <incdepgraph>
      <node id="523">
        <label>cy_device.h</label>
      </node>
      <node id="522">
        <label>cy_trigmux.c</label>
        <link refid="cy__trigmux_8c" />
        <childnode refid="523" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="cy__trigmux_8c_1aa86e6014bfc572e9e0037ba3a6f41926" kind="define" prot="public" static="no">
        <name>CY_TRIGMUX_IS_TRIGTYPE_VALID</name>
        <param><defname>trigType</defname></param>
        <initializer>(((trigType) == TRIGGER_TYPE_EDGE) || \
                                                 ((trigType) == TRIGGER_TYPE_LEVEL))</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="29" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="29" />
      </memberdef>
      <memberdef id="cy__trigmux_8c_1a4bc6c030256be9b7698dc0f92776482d" kind="define" prot="public" static="no">
        <name>CY_TRIGMUX_V1_IS_CYCLES_VALID</name>
        <param><defname>cycles</defname></param>
        <initializer>(<ref kindref="member" refid="group__group__trigmux__macros_1gab3a2b0e75a195d5fb7020cecc2caf948">CY_TRIGGER_INFINITE</ref> &gt;= (cycles))</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="32" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="32" />
      </memberdef>
      <memberdef id="cy__trigmux_8c_1a7aabe3dcf3702924c2ba1643072b4800" kind="define" prot="public" static="no">
        <name>CY_TRIGMUX_V2_IS_CYCLES_VALID</name>
        <param><defname>cycles</defname></param>
        <initializer>((<ref kindref="member" refid="group__group__trigmux__macros_1ga885d34d6a5be4de43ec78fcdfd1044c2">CY_TRIGGER_DEACTIVATE</ref> == (cycles)) || \
                                                 (<ref kindref="member" refid="group__group__trigmux__macros_1ga9347a341f6903dee749841fae0dcb4a5">CY_TRIGGER_TWO_CYCLES</ref> == (cycles)) || \
                                                 (<ref kindref="member" refid="group__group__trigmux__macros_1gab3a2b0e75a195d5fb7020cecc2caf948">CY_TRIGGER_INFINITE</ref>   == (cycles)))</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="33" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="33" />
      </memberdef>
      <memberdef id="cy__trigmux_8c_1ae1b154c3768508f40c1b1bc91147f5c6" kind="define" prot="public" static="no">
        <name>CY_TRIGMUX_IS_CYCLES_VALID</name>
        <param><defname>cycles</defname></param>
        <initializer>((CY_PERI_V1 &amp;&amp; CY_TRIGMUX_V1_IS_CYCLES_VALID(cycles)) || \
                                                                CY_TRIGMUX_V2_IS_CYCLES_VALID(cycles))</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="36" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="36" />
      </memberdef>
      <memberdef id="cy__trigmux_8c_1ae50463888e89a9f13e99ceea38aca684" kind="define" prot="public" static="no">
        <name>CY_TRIGMUX_INTRIG_MASK</name>
        <initializer>(PERI_TR_CMD_GROUP_SEL_Msk | PERI_TR_GR_TR_OUT_CTL_TR_SEL_Msk)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="39" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="39" />
      </memberdef>
      <memberdef id="cy__trigmux_8c_1a1122475b71a85f4aedfacd95bbc627a8" kind="define" prot="public" static="no">
        <name>CY_TRIGMUX_IS_INTRIG_VALID</name>
        <param><defname>inTrg</defname></param>
        <initializer>(0UL == ((inTrg) &amp; (uint32_t)~CY_TRIGMUX_INTRIG_MASK))</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="40" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="40" />
      </memberdef>
      <memberdef id="cy__trigmux_8c_1a14456a82a8022c6d1093637e6c374ea1" kind="define" prot="public" static="no">
        <name>CY_TRIGMUX_OUTTRIG_MASK</name>
        <initializer>(PERI_TR_CMD_OUT_SEL_Msk | PERI_TR_CMD_GROUP_SEL_Msk | CY_PERI_TR_CTL_SEL_Msk)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="42" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="42" />
      </memberdef>
      <memberdef id="cy__trigmux_8c_1a5ba145e10902df1d47b986ca303deacc" kind="define" prot="public" static="no">
        <name>CY_TRIGMUX_IS_OUTTRIG_VALID</name>
        <param><defname>outTrg</defname></param>
        <initializer>((0UL == ((outTrg) &amp; (uint32_t)~CY_TRIGMUX_OUTTRIG_MASK)) &amp;&amp; \
                                                 (0UL != ((outTrg) &amp; PERI_TR_CMD_OUT_SEL_Msk)))</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="43" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="43" />
      </memberdef>
      <memberdef id="cy__trigmux_8c_1aa55aa4f1dd5e494be4781cf721d68d7d" kind="define" prot="public" static="no">
        <name>CY_TRIGMUX_ONETRIG_MASK</name>
        <initializer>(PERI_V2_TR_CMD_OUT_SEL_Msk | PERI_V2_TR_CMD_GROUP_SEL_Msk | CY_PERI_TR_CTL_SEL_Msk)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="46" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="46" />
      </memberdef>
      <memberdef id="cy__trigmux_8c_1a6295383f1039fa55644f334df23890f3" kind="define" prot="public" static="no">
        <name>CY_TRIGMUX_IS_ONETRIG_VALID</name>
        <param><defname>oneTrg</defname></param>
        <initializer>((0UL == ((oneTrg) &amp; (uint32_t)~CY_TRIGMUX_ONETRIG_MASK)) &amp;&amp; \
                                                 (0UL != ((oneTrg) &amp; PERI_V2_TR_CMD_OUT_SEL_Msk)) &amp;&amp; \
                                                 (0UL != ((oneTrg) &amp; (PERI_V2_TR_CMD_GROUP_SEL_Msk &amp; (uint32_t)~PERI_TR_CMD_GROUP_SEL_Msk))))</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="47" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="47" />
      </memberdef>
      <memberdef id="cy__trigmux_8c_1aad56dbf3ed79b96c5ea4e3e05e557b61" kind="define" prot="public" static="no">
        <name>CY_TRIGMUX_TRIGLINE_MASK</name>
        <initializer>(PERI_TR_CMD_OUT_SEL_Msk | CY_PERI_TR_CMD_GROUP_SEL_Msk | CY_PERI_TR_CTL_SEL_Msk)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="51" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="51" />
      </memberdef>
      <memberdef id="cy__trigmux_8c_1a001ba030e6e741deced2c5f8feb221d6" kind="define" prot="public" static="no">
        <name>CY_TRIGMUX_IS_TRIGLINE_VALID</name>
        <param><defname>trgLn</defname></param>
        <initializer>(0U == ((trgLn) &amp; (uint32_t)~CY_TRIGMUX_TRIGLINE_MASK))</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="52" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="52" />
      </memberdef>
      <memberdef id="cy__trigmux_8c_1a3c25fb2ab918619523a19d7c00041773" kind="define" prot="public" static="no">
        <name>CY_TRIGMUX_TR_CTL</name>
        <param><defname>outTrig</defname></param>
        <initializer>(PERI_TR_GR_TR_CTL(_FLD2VAL(CY_PERI_TR_CMD_GROUP_SEL, outTrig), \
                                                                   _FLD2VAL(CY_PERI_TR_CTL_SEL,       outTrig)))</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="54" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="54" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__trigmux__enums_1ga30a0d3f7caf6a59d3fb7a618a95ed6ae">cy_en_trigmux_status_t</ref></type>
        <definition>cy_en_trigmux_status_t Cy_TrigMux_Connect</definition>
        <argsstring>(uint32_t inTrig, uint32_t outTrig, bool invert, en_trig_type_t trigType)</argsstring>
        <name>Cy_TrigMux_Connect</name>
        <param>
          <type>uint32_t</type>
          <declname>inTrig</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>outTrig</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>invert</declname>
        </param>
        <param>
          <type>en_trig_type_t</type>
          <declname>trigType</declname>
        </param>
        <briefdescription>
<para>Connects an input trigger source and output trigger. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>inTrig</parametername>
</parameternamelist>
<parameterdescription>
<para>An input selection for the trigger mux.<itemizedlist>
<listitem><para>Bit 30 should be cleared.</para></listitem><listitem><para>Bit 12 should be cleared.</para></listitem><listitem><para>Bits 11:8 represent the trigger group selection.</para></listitem><listitem><para>Bits 7:0 select the input trigger signal for the specified trigger multiplexer.</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>outTrig</parametername>
</parameternamelist>
<parameterdescription>
<para>The output of the trigger mux. This refers to the consumer of the trigger mux.<itemizedlist>
<listitem><para>Bit 30 should be set.</para></listitem><listitem><para>Bit 12 should be cleared.</para></listitem><listitem><para>Bits 11:8 represent the trigger group selection.<linebreak />
 For PERI_ver1:</para></listitem><listitem><para>Bits 6:0 select the output trigger number in the trigger group.<linebreak />
 For PERI_ver2:</para></listitem><listitem><para>Bits 7:0 select the output trigger number in the trigger group.</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>invert</parametername>
</parameternamelist>
<parameterdescription>
<para><itemizedlist>
<listitem><para>true: The output trigger is inverted.</para></listitem><listitem><para>false: The output trigger is not inverted.</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>trigType</parametername>
</parameternamelist>
<parameterdescription>
<para>The trigger signal type.<itemizedlist>
<listitem><para>TRIGGER_TYPE_EDGE: The trigger is synchronized to the consumer blocks clock and a two-cycle pulse is generated on this clock.</para></listitem><listitem><para>TRIGGER_TYPE_LEVEL: The trigger is a simple level output.</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>status:<itemizedlist>
<listitem><para>CY_TRIGMUX_SUCCESS: The connection is made successfully.</para></listitem><listitem><para>CY_TRIGMUX_BAD_PARAM: Some parameter is invalid.</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Setup<sp />a<sp />trigger<sp />multiplexer<sp />connection<sp />from<sp />TCPWM0<sp />counter<sp />0<sp />overflow<sp />output<sp />to<sp />DataWire<sp />0<sp />channel<sp />0<sp />trigger<sp />input.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />Also<sp />for<sp />trigger<sp />signal<sp />evidence<sp />setup<sp />two<sp />additional<sp />trigger<sp />multiplexer<sp />connections:</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />-<sp />from<sp />the<sp />same<sp />TCPWM0<sp />counter<sp />0<sp />overflow<sp />output<sp />to<sp />HSIOM<sp />trigger<sp />IO<sp />output<sp />0<sp />(GPIO<sp />port<sp />0.4)</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />-<sp />from<sp />the<sp />DataWire<sp />0<sp />channel<sp />0<sp />trigger<sp />output<sp />to<sp />HSIOM<sp />trigger<sp />IO<sp />output<sp />1<sp />(GPIO<sp />port<sp />0.5)</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CY_IP_MXPERI_VERSION<sp />==<sp />1U)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>(TRIG11_IN_TCPWM0_TR_OVERFLOW0,<sp />TRIG11_OUT_TR_GROUP0_INPUT9,<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp />TRIGGER_TYPE_LEVEL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>(TRIG0_IN_TR_GROUP11_OUTPUT0,<sp />TRIG0_OUT_CPUSS_DW0_TR_IN0,<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp />TRIGGER_TYPE_EDGE);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>(TRIG11_IN_TCPWM0_TR_OVERFLOW0,<sp />TRIG11_OUT_TR_GROUP8_INPUT9,<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp />TRIGGER_TYPE_LEVEL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>(TRIG8_IN_TR_GROUP11_OUTPUT0,<sp />TRIG8_OUT_PERI_TR_IO_OUTPUT0,<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp />TRIGGER_TYPE_EDGE);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>(TRIG10_IN_CPUSS_DW0_TR_OUT0,<sp />TRIG10_OUT_TR_GROUP8_INPUT1,<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp />TRIGGER_TYPE_LEVEL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>(TRIG8_IN_TR_GROUP10_OUTPUT0,<sp />TRIG8_OUT_PERI_TR_IO_OUTPUT1,<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp />TRIGGER_TYPE_EDGE);</highlight></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor">#else<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXPERI_VERSION<sp />&gt;<sp />1<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>(TRIG_IN_MUX_0_TCPWM0_TR_OVERFLOW0,<sp />TRIG_OUT_MUX_0_PDMA0_TR_IN0,<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp />TRIGGER_TYPE_EDGE);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>(TRIG_IN_MUX_4_TCPWM0_TR_OVERFLOW0,<sp />TRIG_OUT_MUX_4_HSIOM_TR_IO_OUTPUT0,<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp />TRIGGER_TYPE_EDGE);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>(TRIG_IN_MUX_4_PDMA0_TR_OUT0,<sp />TRIG_OUT_MUX_4_HSIOM_TR_IO_OUTPUT1,<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp />TRIGGER_TYPE_EDGE);</highlight></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXPERI_VERSION<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Note:<sp />the<sp />Cy_TrigMux_Connect<sp />return<sp />status<sp />is<sp />ignored<sp />here<sp />because<sp />the<sp />provided<sp />parameters<sp />are<sp />correct.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />It<sp />is<sp />made<sp />here<sp />just<sp />to<sp />reduce<sp />the<sp />code<sp />snippet<sp />redundancy,<sp />it<sp />is<sp />not<sp />recommended<sp />to<sp />do<sp />so<sp />in<sp />the<sp />user<sp />code.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Now<sp />initialize<sp />the<sp />correspondent<sp />GPIO<sp />pins<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__gpio__functions__init_1gaf57c501727276013d3e8974a9fb7d0a7">Cy_GPIO_Pin_FastInit</ref>(GPIO_PRT0,<sp />4UL,<sp /><ref kindref="member" refid="group__group__gpio__drive_modes_1gacebd8bea6222d742bdfbfd86dabab940">CY_GPIO_DM_STRONG_IN_OFF</ref>,<sp />0UL,<sp />P0_4_PERI_TR_IO_OUTPUT0);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__gpio__functions__init_1gaf57c501727276013d3e8974a9fb7d0a7">Cy_GPIO_Pin_FastInit</ref>(GPIO_PRT0,<sp />5UL,<sp /><ref kindref="member" refid="group__group__gpio__drive_modes_1gacebd8bea6222d742bdfbfd86dabab940">CY_GPIO_DM_STRONG_IN_OFF</ref>,<sp />0UL,<sp />P0_5_PERI_TR_IO_OUTPUT1);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Now<sp />the<sp />TCPWM0<sp />counter<sp />0<sp />periodically<sp />triggers<sp />the<sp />DW0<sp />channel<sp />0<sp />(each<sp />time<sp />when<sp />overflow<sp />event<sp />occurs).</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />Also<sp />the<sp />TCPWM<sp />and<sp />DMA<sp />output<sp />trigger<sp />signals<sp />can<sp />be<sp />observed<sp />with<sp />oscilloscope<sp />on<sp />pins<sp />P0.4<sp />and<sp />P0.5<sp />correspondingly.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="124" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="98" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="98" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__trigmux__functions_1gab7106b8fe037e2ebbbb996289ad1fb00" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__trigmux__enums_1ga30a0d3f7caf6a59d3fb7a618a95ed6ae">cy_en_trigmux_status_t</ref></type>
        <definition>cy_en_trigmux_status_t Cy_TrigMux_Select</definition>
        <argsstring>(uint32_t outTrig, bool invert, en_trig_type_t trigType)</argsstring>
        <name>Cy_TrigMux_Select</name>
        <param>
          <type>uint32_t</type>
          <declname>outTrig</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>invert</declname>
        </param>
        <param>
          <type>en_trig_type_t</type>
          <declname>trigType</declname>
        </param>
        <briefdescription>
<para>Enables and configures the specified 1-to-1 trigger line. </para>        </briefdescription>
        <detaileddescription>
<para>For PERI_ver2 only.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>outTrig</parametername>
</parameternamelist>
<parameterdescription>
<para>The 1to1 trigger line.<itemizedlist>
<listitem><para>Bit 30 should be set.</para></listitem><listitem><para>Bit 12 should be set.</para></listitem><listitem><para>Bits 11:8 represent the 1-to-1 trigger group selection.</para></listitem><listitem><para>Bits 7:0 select the trigger line number in the trigger group.</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>invert</parametername>
</parameternamelist>
<parameterdescription>
<para><itemizedlist>
<listitem><para>true: The trigger signal is inverted.</para></listitem><listitem><para>false: The trigger signal is not inverted.</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>trigType</parametername>
</parameternamelist>
<parameterdescription>
<para>The trigger signal type.<itemizedlist>
<listitem><para>TRIGGER_TYPE_EDGE: The trigger is synchronized to the consumer blocks clock and a two-cycle pulse is generated on this clock.</para></listitem><listitem><para>TRIGGER_TYPE_LEVEL: The trigger is a simple level output.</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>status:<itemizedlist>
<listitem><para>CY_TRIGMUX_SUCCESS: The selection is made successfully.</para></listitem><listitem><para>CY_TRIGMUX_BAD_PARAM: Some parameter is invalid.</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Set<sp />up<sp />a<sp />1<sp />to<sp />1<sp />connection<sp />between<sp />two<sp />peripherals;<sp />in<sp />this<sp />case<sp />from<sp />SCB0<sp />TX<sp />Trigger<sp />Output<sp />to<sp />DW0<sp />channel<sp />16<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea19e80892aa7755dd38c708994502d02c">CY_TRIGMUX_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__trigmux__functions_1gab7106b8fe037e2ebbbb996289ad1fb00">Cy_TrigMux_Select</ref>(TRIG_OUT_1TO1_0_SCB0_TX_TO_PDMA0_TR_IN16,<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp />TRIGGER_TYPE_LEVEL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="183" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="157" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="157" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__trigmux__functions_1ga9cf035a60df4c7073280b8ac21666b22" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__trigmux__enums_1ga30a0d3f7caf6a59d3fb7a618a95ed6ae">cy_en_trigmux_status_t</ref></type>
        <definition>cy_en_trigmux_status_t Cy_TrigMux_Deselect</definition>
        <argsstring>(uint32_t outTrig)</argsstring>
        <name>Cy_TrigMux_Deselect</name>
        <param>
          <type>uint32_t</type>
          <declname>outTrig</declname>
        </param>
        <briefdescription>
<para>Disables the specified 1-to-1 trigger line. </para>        </briefdescription>
        <detaileddescription>
<para>For PERI_ver2 only.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>outTrig</parametername>
</parameternamelist>
<parameterdescription>
<para>The 1to1 trigger line.<itemizedlist>
<listitem><para>Bit 30 should be set.</para></listitem><listitem><para>Bit 12 should be set.</para></listitem><listitem><para>Bits 11:8 represent the 1-to-1 trigger group selection.</para></listitem><listitem><para>Bits 7:0 select the trigger line number in the trigger group.</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>status:<itemizedlist>
<listitem><para>CY_TRIGMUX_SUCCESS: The deselection is made successfully.</para></listitem><listitem><para>CY_TRIGMUX_BAD_PARAM: Some parameter is invalid.</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Disable<sp />a<sp />1<sp />to<sp />1<sp />connection,<sp />using<sp />SCB0<sp />TX<sp />Trigger<sp />Output<sp />to<sp />DataWire<sp />0<sp />channel<sp />16<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea19e80892aa7755dd38c708994502d02c">CY_TRIGMUX_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__trigmux__functions_1ga9cf035a60df4c7073280b8ac21666b22">Cy_TrigMux_Deselect</ref>(TRIG_OUT_1TO1_0_SCB0_TX_TO_PDMA0_TR_IN16))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="229" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="207" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="207" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__trigmux__enums_1ga30a0d3f7caf6a59d3fb7a618a95ed6ae">cy_en_trigmux_status_t</ref></type>
        <definition>cy_en_trigmux_status_t Cy_TrigMux_SetDebugFreeze</definition>
        <argsstring>(uint32_t outTrig, bool enable)</argsstring>
        <name>Cy_TrigMux_SetDebugFreeze</name>
        <param>
          <type>uint32_t</type>
          <declname>outTrig</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Enables/disables the Debug Freeze feature for the specified trigger multiplexer or 1-to-1 trigger line. </para>        </briefdescription>
        <detaileddescription>
<para>For PERI_ver2 only.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>outTrig</parametername>
</parameternamelist>
<parameterdescription>
<para>The output of the trigger mux or dedicated 1-to-1 trigger line.<itemizedlist>
<listitem><para>Bit 30 should be set.</para></listitem><listitem><para>Bits 12:8 represent the trigger group selection.</para></listitem><listitem><para>Bits 7:0 select the output trigger number in the trigger group.</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>enable</parametername>
</parameternamelist>
<parameterdescription>
<para><itemizedlist>
<listitem><para>true: The Debug Freeze feature is enabled.</para></listitem><listitem><para>false: The Debug Freeze feature is disabled.</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>status:<itemizedlist>
<listitem><para>CY_TRIGMUX_SUCCESS: The operation is made successfully.</para></listitem><listitem><para>CY_TRIGMUX_BAD_PARAM: The outTrig parameter is invalid.</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Enable<sp />a<sp />Debug<sp />Freeze<sp />feature<sp />using<sp />DW0<sp />channel<sp />0<sp />trigger<sp />input<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea19e80892aa7755dd38c708994502d02c">CY_TRIGMUX_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref>(TRIG_OUT_MUX_0_PDMA0_TR_IN0,<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Now<sp />the<sp />DW0<sp />channel<sp />0<sp />trigger<sp />input<sp />will<sp />be<sp />frozen<sp />when</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />the<sp />tr_dbg_freeze<sp />signal<sp />is<sp />activated.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />Usually<sp />the<sp />tr_dbg_freeze<sp />signal<sp />is<sp />intended<sp />to<sp />be<sp />activated<sp />from</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />the<sp />cpuss.cti_tr_out[x]<sp />signal,<sp />for<sp />example:</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>(TRIG_IN_MUX_7_CTI_TR_OUT0,<sp />TRIG_OUT_MUX_7_DEBUG_FREEZE_TR_IN,<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp />TRIGGER_TYPE_LEVEL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />However<sp />it<sp />can<sp />be<sp />activated<sp />just<sp />with<sp />software<sp />triggering:<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref>(TRIG_OUT_MUX_7_DEBUG_FREEZE_TR_IN,<sp /><ref kindref="member" refid="group__group__trigmux__macros_1gab3a2b0e75a195d5fb7020cecc2caf948">CY_TRIGGER_INFINITE</ref>);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Disable<sp />a<sp />Debug<sp />Freeze<sp />feature<sp />using<sp />DW0<sp />channel<sp />0<sp />trigger<sp />input<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea19e80892aa7755dd38c708994502d02c">CY_TRIGMUX_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref>(TRIG_OUT_MUX_0_PDMA0_TR_IN0,<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="282" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="257" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="257" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__trigmux__enums_1ga30a0d3f7caf6a59d3fb7a618a95ed6ae">cy_en_trigmux_status_t</ref></type>
        <definition>cy_en_trigmux_status_t Cy_TrigMux_SwTrigger</definition>
        <argsstring>(uint32_t trigLine, uint32_t cycles)</argsstring>
        <name>Cy_TrigMux_SwTrigger</name>
        <param>
          <type>uint32_t</type>
          <declname>trigLine</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>cycles</declname>
        </param>
        <briefdescription>
<para>This function generates a software trigger on an input trigger line. </para>        </briefdescription>
        <detaileddescription>
<para>All output triggers connected to this input trigger will be triggered. The function also verifies that there is no activated trigger before generating another activation.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>trigLine</parametername>
</parameternamelist>
<parameterdescription>
<para>The input of the trigger mux.<itemizedlist>
<listitem><para>Bit 30 represents if the signal is an input/output. When this bit is set, the trigger activation is for an output trigger from the trigger multiplexer. When this bit is reset, the trigger activation is for an input trigger to the trigger multiplexer.</para></listitem><listitem><para>Bits 12:8 represent the trigger group selection.<linebreak />
 In case of output trigger line (bit 30 is set): For PERI_ver1:</para></listitem><listitem><para>Bits 6:0 select the output trigger number in the trigger group.<linebreak />
 For PERI_ver2:</para></listitem><listitem><para>Bits 7:0 select the output trigger number in the trigger group. In case of input trigger line (bit 30 is unset):</para></listitem><listitem><para>Bits 7:0 select the input trigger signal for the trigger multiplexer.</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cycles</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of "Clk_Peri" cycles during which the trigger remains activated.<linebreak />
 For PERI_ver1: The valid range of cycles is 1 ... 254.<linebreak />
 For PERI_ver2: The only valid value of cycles is 2 (<ref kindref="member" refid="group__group__trigmux__macros_1ga9347a341f6903dee749841fae0dcb4a5">CY_TRIGGER_TWO_CYCLES</ref>).<linebreak />
 Also there are special values (supported with both PERI_ver1 and PERI_ver2):<itemizedlist>
<listitem><para>CY_TRIGGER_INFINITE - trigger remains activated until the user deactivates it by calling this function with CY_TRIGGER_DEACTIVATE parameter.</para></listitem><listitem><para>CY_TRIGGER_DEACTIVATE - this is used to deactivate the trigger activated by calling this function with CY_TRIGGER_INFINITE parameter.</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>status:<itemizedlist>
<listitem><para>CY_TRIGMUX_SUCCESS: The trigger is successfully activated/deactivated.</para></listitem><listitem><para>CY_TRIGMUX_INVALID_STATE: The trigger is already activated/not active.</para></listitem><listitem><para>CY_TRIGMUX_BAD_PARAM: Some parameter is invalid.</para></listitem></itemizedlist>
</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Software<sp />Trigger<sp />the<sp />DW0<sp />channel<sp />0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CY_IP_MXPERI_VERSION<sp />==<sp />1U)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea19e80892aa7755dd38c708994502d02c">CY_TRIGMUX_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref>(TRIG0_OUT_CPUSS_DW0_TR_IN0,<sp /><ref kindref="member" refid="group__group__trigmux__macros_1ga9347a341f6903dee749841fae0dcb4a5">CY_TRIGGER_TWO_CYCLES</ref>))</highlight></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor">#else<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXPERI_VERSION<sp />&gt;<sp />1<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea19e80892aa7755dd38c708994502d02c">CY_TRIGMUX_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref>(TRIG_OUT_MUX_0_PDMA0_TR_IN0,<sp /><ref kindref="member" refid="group__group__trigmux__macros_1ga9347a341f6903dee749841fae0dcb4a5">CY_TRIGGER_TWO_CYCLES</ref>))</highlight></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXPERI_VERSION<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="378" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" bodystart="328" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" line="328" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Trigger mux API. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>1.20.2</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#include<sp />"cy_trigmux.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_device.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_TRIGMUX_IS_TRIGTYPE_VALID(trigType)<sp /><sp />(((trigType)<sp />==<sp />TRIGGER_TYPE_EDGE)<sp />||<sp />\</highlight></codeline>
<codeline lineno="30"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((trigType)<sp />==<sp />TRIGGER_TYPE_LEVEL))</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_TRIGMUX_V1_IS_CYCLES_VALID(cycles)<sp /><sp /><sp />(CY_TRIGGER_INFINITE<sp />&gt;=<sp />(cycles))</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_TRIGMUX_V2_IS_CYCLES_VALID(cycles)<sp /><sp /><sp />((CY_TRIGGER_DEACTIVATE<sp />==<sp />(cycles))<sp />||<sp />\</highlight></codeline>
<codeline lineno="34"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CY_TRIGGER_TWO_CYCLES<sp />==<sp />(cycles))<sp />||<sp />\</highlight></codeline>
<codeline lineno="35"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CY_TRIGGER_INFINITE<sp /><sp /><sp />==<sp />(cycles)))</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_TRIGMUX_IS_CYCLES_VALID(cycles)<sp /><sp /><sp /><sp /><sp /><sp />((CY_PERI_V1<sp />&amp;&amp;<sp />CY_TRIGMUX_V1_IS_CYCLES_VALID(cycles))<sp />||<sp />\</highlight></codeline>
<codeline lineno="37"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_TRIGMUX_V2_IS_CYCLES_VALID(cycles))</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_TRIGMUX_INTRIG_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(PERI_TR_CMD_GROUP_SEL_Msk<sp />|<sp />PERI_TR_GR_TR_OUT_CTL_TR_SEL_Msk)</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_TRIGMUX_IS_INTRIG_VALID(inTrg)<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0UL<sp />==<sp />((inTrg)<sp />&amp;<sp />(uint32_t)~CY_TRIGMUX_INTRIG_MASK))</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_TRIGMUX_OUTTRIG_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(PERI_TR_CMD_OUT_SEL_Msk<sp />|<sp />PERI_TR_CMD_GROUP_SEL_Msk<sp />|<sp />CY_PERI_TR_CTL_SEL_Msk)</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_TRIGMUX_IS_OUTTRIG_VALID(outTrg)<sp /><sp /><sp /><sp /><sp />((0UL<sp />==<sp />((outTrg)<sp />&amp;<sp />(uint32_t)~CY_TRIGMUX_OUTTRIG_MASK))<sp />&amp;&amp;<sp />\</highlight></codeline>
<codeline lineno="44"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0UL<sp />!=<sp />((outTrg)<sp />&amp;<sp />PERI_TR_CMD_OUT_SEL_Msk)))</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_TRIGMUX_ONETRIG_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(PERI_V2_TR_CMD_OUT_SEL_Msk<sp />|<sp />PERI_V2_TR_CMD_GROUP_SEL_Msk<sp />|<sp />CY_PERI_TR_CTL_SEL_Msk)</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_TRIGMUX_IS_ONETRIG_VALID(oneTrg)<sp /><sp /><sp /><sp /><sp />((0UL<sp />==<sp />((oneTrg)<sp />&amp;<sp />(uint32_t)~CY_TRIGMUX_ONETRIG_MASK))<sp />&amp;&amp;<sp />\</highlight></codeline>
<codeline lineno="48"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0UL<sp />!=<sp />((oneTrg)<sp />&amp;<sp />PERI_V2_TR_CMD_OUT_SEL_Msk))<sp />&amp;&amp;<sp />\</highlight></codeline>
<codeline lineno="49"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0UL<sp />!=<sp />((oneTrg)<sp />&amp;<sp />(PERI_V2_TR_CMD_GROUP_SEL_Msk<sp />&amp;<sp />(uint32_t)~PERI_TR_CMD_GROUP_SEL_Msk))))</highlight><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_TRIGMUX_TRIGLINE_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(PERI_TR_CMD_OUT_SEL_Msk<sp />|<sp />CY_PERI_TR_CMD_GROUP_SEL_Msk<sp />|<sp />CY_PERI_TR_CTL_SEL_Msk)</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_TRIGMUX_IS_TRIGLINE_VALID(trgLn)<sp /><sp /><sp /><sp /><sp />(0U<sp />==<sp />((trgLn)<sp />&amp;<sp />(uint32_t)~CY_TRIGMUX_TRIGLINE_MASK))</highlight><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_TRIGMUX_TR_CTL(outTrig)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(PERI_TR_GR_TR_CTL(_FLD2VAL(CY_PERI_TR_CMD_GROUP_SEL,<sp />outTrig),<sp />\</highlight></codeline>
<codeline lineno="55"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_FLD2VAL(CY_PERI_TR_CTL_SEL,<sp /><sp /><sp /><sp /><sp /><sp /><sp />outTrig)))</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="59"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_TrigMux_Connect</highlight></codeline>
<codeline lineno="60"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="98"><highlight class="normal"><ref kindref="member" refid="group__group__trigmux__enums_1ga30a0d3f7caf6a59d3fb7a618a95ed6ae">cy_en_trigmux_status_t</ref><sp /><ref kindref="member" refid="group__group__trigmux__functions_1ga3671fac144b75c3b3eddc5ab46ae96f6">Cy_TrigMux_Connect</ref>(uint32_t<sp />inTrig,<sp />uint32_t<sp />outTrig,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />invert,<sp />en_trig_type_t<sp />trigType)</highlight></codeline>
<codeline lineno="99"><highlight class="normal">{</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__trigmux__enums_1ga30a0d3f7caf6a59d3fb7a618a95ed6ae">cy_en_trigmux_status_t</ref><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea9a2a1fa39002a073d01220c7f2d5d252">CY_TRIGMUX_BAD_PARAM</ref>;</highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_TRIGMUX_IS_TRIGTYPE_VALID(trigType));</highlight></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_TRIGMUX_IS_INTRIG_VALID(inTrig));</highlight></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_TRIGMUX_IS_OUTTRIG_VALID(outTrig));</highlight></codeline>
<codeline lineno="104"><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />inTrig<sp />and<sp />outTrig<sp />should<sp />be<sp />in<sp />the<sp />same<sp />group<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />((inTrig<sp />&amp;<sp />PERI_TR_CMD_GROUP_SEL_Msk)<sp />==<sp />(outTrig<sp />&amp;<sp />PERI_TR_CMD_GROUP_SEL_Msk))</highlight></codeline>
<codeline lineno="107"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />interruptState<sp />=<sp /><ref kindref="member" refid="group__group__syslib__functions_1gae679f15a1702c159c105b596a8801105">Cy_SysLib_EnterCriticalSection</ref>();</highlight></codeline>
<codeline lineno="109"><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_TRIGMUX_TR_CTL(outTrig)<sp />=<sp />(CY_TRIGMUX_TR_CTL(outTrig)<sp />&amp;</highlight></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)~(PERI_TR_GR_TR_OUT_CTL_TR_SEL_Msk<sp />|</highlight></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PERI_TR_GR_TR_OUT_CTL_TR_INV_Msk<sp />|</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PERI_TR_GR_TR_OUT_CTL_TR_EDGE_Msk))<sp />|</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(_VAL2FLD(PERI_TR_GR_TR_OUT_CTL_TR_SEL,<sp />inTrig)<sp />|</highlight></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_BOOL2FLD(PERI_TR_GR_TR_OUT_CTL_TR_INV,<sp />invert)<sp />|</highlight></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(PERI_TR_GR_TR_OUT_CTL_TR_EDGE,<sp />trigType));</highlight></codeline>
<codeline lineno="117"><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__functions_1ga8c16343c075610b2888b0693f972b555">Cy_SysLib_ExitCriticalSection</ref>(interruptState);</highlight></codeline>
<codeline lineno="119"><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea19e80892aa7755dd38c708994502d02c">CY_TRIGMUX_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="122"><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />retVal;</highlight></codeline>
<codeline lineno="124"><highlight class="normal">}</highlight></codeline>
<codeline lineno="125"><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="128"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_TrigMux_Select</highlight></codeline>
<codeline lineno="129"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="157"><highlight class="normal"><ref kindref="member" refid="group__group__trigmux__enums_1ga30a0d3f7caf6a59d3fb7a618a95ed6ae">cy_en_trigmux_status_t</ref><sp /><ref kindref="member" refid="group__group__trigmux__functions_1gab7106b8fe037e2ebbbb996289ad1fb00">Cy_TrigMux_Select</ref>(uint32_t<sp />outTrig,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />invert,<sp />en_trig_type_t<sp />trigType)</highlight></codeline>
<codeline lineno="158"><highlight class="normal">{</highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__trigmux__enums_1ga30a0d3f7caf6a59d3fb7a618a95ed6ae">cy_en_trigmux_status_t</ref><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea9a2a1fa39002a073d01220c7f2d5d252">CY_TRIGMUX_BAD_PARAM</ref>;</highlight></codeline>
<codeline lineno="160"><highlight class="normal" /></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_TRIGMUX_IS_TRIGTYPE_VALID(trigType));</highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_TRIGMUX_IS_ONETRIG_VALID(outTrig));</highlight></codeline>
<codeline lineno="163"><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(!CY_PERI_V1)</highlight></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />interruptState;</highlight></codeline>
<codeline lineno="167"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />interruptState<sp />=<sp /><ref kindref="member" refid="group__group__syslib__functions_1gae679f15a1702c159c105b596a8801105">Cy_SysLib_EnterCriticalSection</ref>();</highlight></codeline>
<codeline lineno="169"><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_TRIGMUX_TR_CTL(outTrig)<sp />=<sp />(CY_TRIGMUX_TR_CTL(outTrig)<sp />&amp;</highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(uint32_t)~(PERI_TR_1TO1_GR_V2_TR_CTL_TR_INV_Msk<sp />|</highlight></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PERI_TR_1TO1_GR_V2_TR_CTL_TR_EDGE_Msk))<sp />|</highlight></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(PERI_TR_1TO1_GR_V2_TR_CTL_TR_SEL_Msk<sp /><sp /><sp /><sp /><sp /><sp />|</highlight></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_BOOL2FLD(PERI_TR_1TO1_GR_V2_TR_CTL_TR_INV,<sp />invert)<sp />|</highlight></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_VAL2FLD(PERI_TR_1TO1_GR_V2_TR_CTL_TR_EDGE,<sp />trigType));</highlight></codeline>
<codeline lineno="176"><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__functions_1ga8c16343c075610b2888b0693f972b555">Cy_SysLib_ExitCriticalSection</ref>(interruptState);</highlight></codeline>
<codeline lineno="178"><highlight class="normal" /></codeline>
<codeline lineno="179"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea19e80892aa7755dd38c708994502d02c">CY_TRIGMUX_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="180"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="181"><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />retVal;</highlight></codeline>
<codeline lineno="183"><highlight class="normal">}</highlight></codeline>
<codeline lineno="184"><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="187"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_TrigMux_Deselect</highlight></codeline>
<codeline lineno="188"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="207"><highlight class="normal"><ref kindref="member" refid="group__group__trigmux__enums_1ga30a0d3f7caf6a59d3fb7a618a95ed6ae">cy_en_trigmux_status_t</ref><sp /><ref kindref="member" refid="group__group__trigmux__functions_1ga9cf035a60df4c7073280b8ac21666b22">Cy_TrigMux_Deselect</ref>(uint32_t<sp />outTrig)</highlight></codeline>
<codeline lineno="208"><highlight class="normal">{</highlight></codeline>
<codeline lineno="209"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__trigmux__enums_1ga30a0d3f7caf6a59d3fb7a618a95ed6ae">cy_en_trigmux_status_t</ref><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea9a2a1fa39002a073d01220c7f2d5d252">CY_TRIGMUX_BAD_PARAM</ref>;</highlight></codeline>
<codeline lineno="210"><highlight class="normal" /></codeline>
<codeline lineno="211"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_TRIGMUX_IS_ONETRIG_VALID(outTrig));</highlight></codeline>
<codeline lineno="212"><highlight class="normal" /></codeline>
<codeline lineno="213"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(!CY_PERI_V1)</highlight></codeline>
<codeline lineno="214"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="215"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />interruptState;</highlight></codeline>
<codeline lineno="216"><highlight class="normal" /></codeline>
<codeline lineno="217"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />interruptState<sp />=<sp /><ref kindref="member" refid="group__group__syslib__functions_1gae679f15a1702c159c105b596a8801105">Cy_SysLib_EnterCriticalSection</ref>();</highlight></codeline>
<codeline lineno="218"><highlight class="normal" /></codeline>
<codeline lineno="219"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_TRIGMUX_TR_CTL(outTrig)<sp />&amp;=<sp />(uint32_t)~(PERI_TR_1TO1_GR_V2_TR_CTL_TR_SEL_Msk<sp />|</highlight></codeline>
<codeline lineno="220"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PERI_TR_1TO1_GR_V2_TR_CTL_TR_INV_Msk<sp />|</highlight></codeline>
<codeline lineno="221"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PERI_TR_1TO1_GR_V2_TR_CTL_TR_EDGE_Msk);</highlight></codeline>
<codeline lineno="222"><highlight class="normal" /></codeline>
<codeline lineno="223"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__functions_1ga8c16343c075610b2888b0693f972b555">Cy_SysLib_ExitCriticalSection</ref>(interruptState);</highlight></codeline>
<codeline lineno="224"><highlight class="normal" /></codeline>
<codeline lineno="225"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea19e80892aa7755dd38c708994502d02c">CY_TRIGMUX_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="226"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="227"><highlight class="normal" /></codeline>
<codeline lineno="228"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />retVal;</highlight></codeline>
<codeline lineno="229"><highlight class="normal">}</highlight></codeline>
<codeline lineno="230"><highlight class="normal" /></codeline>
<codeline lineno="231"><highlight class="normal" /></codeline>
<codeline lineno="232"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="233"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_TrigMux_SetDebugFreeze</highlight></codeline>
<codeline lineno="234"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="257"><highlight class="normal"><ref kindref="member" refid="group__group__trigmux__enums_1ga30a0d3f7caf6a59d3fb7a618a95ed6ae">cy_en_trigmux_status_t</ref><sp /><ref kindref="member" refid="group__group__trigmux__functions_1ga797820d8e7c746129d354888da382498">Cy_TrigMux_SetDebugFreeze</ref>(uint32_t<sp />outTrig,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />enable)</highlight></codeline>
<codeline lineno="258"><highlight class="normal">{</highlight></codeline>
<codeline lineno="259"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__trigmux__enums_1ga30a0d3f7caf6a59d3fb7a618a95ed6ae">cy_en_trigmux_status_t</ref><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea9a2a1fa39002a073d01220c7f2d5d252">CY_TRIGMUX_BAD_PARAM</ref>;</highlight></codeline>
<codeline lineno="260"><highlight class="normal" /></codeline>
<codeline lineno="261"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(!CY_PERI_V1)</highlight></codeline>
<codeline lineno="262"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="263"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />interruptState;</highlight></codeline>
<codeline lineno="264"><highlight class="normal" /></codeline>
<codeline lineno="265"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />interruptState<sp />=<sp /><ref kindref="member" refid="group__group__syslib__functions_1gae679f15a1702c159c105b596a8801105">Cy_SysLib_EnterCriticalSection</ref>();</highlight></codeline>
<codeline lineno="266"><highlight class="normal" /></codeline>
<codeline lineno="267"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(enable)</highlight></codeline>
<codeline lineno="268"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="269"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_TRIGMUX_TR_CTL(outTrig)<sp />|=<sp />PERI_TR_GR_V2_TR_CTL_DBG_FREEZE_EN_Msk;</highlight></codeline>
<codeline lineno="270"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="271"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="272"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="273"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_TRIGMUX_TR_CTL(outTrig)<sp />&amp;=<sp />(uint32_t)~PERI_TR_GR_V2_TR_CTL_DBG_FREEZE_EN_Msk;</highlight></codeline>
<codeline lineno="274"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="275"><highlight class="normal" /></codeline>
<codeline lineno="276"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__functions_1ga8c16343c075610b2888b0693f972b555">Cy_SysLib_ExitCriticalSection</ref>(interruptState);</highlight></codeline>
<codeline lineno="277"><highlight class="normal" /></codeline>
<codeline lineno="278"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea19e80892aa7755dd38c708994502d02c">CY_TRIGMUX_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="279"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="280"><highlight class="normal" /></codeline>
<codeline lineno="281"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />retVal;</highlight></codeline>
<codeline lineno="282"><highlight class="normal">}</highlight></codeline>
<codeline lineno="283"><highlight class="normal" /></codeline>
<codeline lineno="284"><highlight class="normal" /></codeline>
<codeline lineno="285"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="286"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_TrigMux_SwTrigger</highlight></codeline>
<codeline lineno="287"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="328"><highlight class="normal"><ref kindref="member" refid="group__group__trigmux__enums_1ga30a0d3f7caf6a59d3fb7a618a95ed6ae">cy_en_trigmux_status_t</ref><sp /><ref kindref="member" refid="group__group__trigmux__functions_1gad3c1d26d25a47bc4beca499bf0407c80">Cy_TrigMux_SwTrigger</ref>(uint32_t<sp />trigLine,<sp />uint32_t<sp />cycles)</highlight></codeline>
<codeline lineno="329"><highlight class="normal">{</highlight></codeline>
<codeline lineno="330"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__trigmux__enums_1ga30a0d3f7caf6a59d3fb7a618a95ed6ae">cy_en_trigmux_status_t</ref><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aeac936e2cf1051490fd1dbe40d6605c545">CY_TRIGMUX_INVALID_STATE</ref>;</highlight></codeline>
<codeline lineno="331"><highlight class="normal" /></codeline>
<codeline lineno="332"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_TRIGMUX_IS_TRIGLINE_VALID(trigLine));</highlight></codeline>
<codeline lineno="333"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_TRIGMUX_IS_CYCLES_VALID(cycles));</highlight></codeline>
<codeline lineno="334"><highlight class="normal" /></codeline>
<codeline lineno="335"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__trigmux__macros_1ga885d34d6a5be4de43ec78fcdfd1044c2">CY_TRIGGER_DEACTIVATE</ref><sp />!=<sp />cycles)</highlight></codeline>
<codeline lineno="336"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="337"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Activate<sp />the<sp />trigger<sp />if<sp />it<sp />is<sp />not<sp />in<sp />the<sp />active<sp />state.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="338"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(PERI_TR_CMD_ACTIVATE_Msk<sp />!=<sp />(PERI_TR_CMD<sp />&amp;<sp />PERI_TR_CMD_ACTIVATE_Msk))</highlight></codeline>
<codeline lineno="339"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="340"><highlight class="normal" /></codeline>
<codeline lineno="341"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />trCmd<sp />=<sp />(trigLine<sp />&amp;<sp />(PERI_TR_CMD_TR_SEL_Msk<sp />|</highlight></codeline>
<codeline lineno="342"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PERI_TR_CMD_OUT_SEL_Msk<sp />|</highlight></codeline>
<codeline lineno="343"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_PERI_TR_CMD_GROUP_SEL_Msk))<sp />|</highlight></codeline>
<codeline lineno="344"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PERI_TR_CMD_ACTIVATE_Msk;</highlight></codeline>
<codeline lineno="345"><highlight class="normal" /></codeline>
<codeline lineno="346"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea19e80892aa7755dd38c708994502d02c">CY_TRIGMUX_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="347"><highlight class="normal" /></codeline>
<codeline lineno="348"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_PERI_V1)<sp /></highlight><highlight class="comment">/*<sp />mxperi_v1<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="349"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="350"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PERI_TR_CMD<sp />=<sp />trCmd<sp />|<sp />_VAL2FLD(PERI_TR_CMD_COUNT,<sp />cycles);</highlight></codeline>
<codeline lineno="351"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="352"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__trigmux__macros_1ga9347a341f6903dee749841fae0dcb4a5">CY_TRIGGER_TWO_CYCLES</ref><sp />==<sp />cycles)<sp /></highlight><highlight class="comment">/*<sp />mxperi_v2<sp />or<sp />later,<sp />2<sp />cycles<sp />pulse<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="353"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="354"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PERI_TR_CMD<sp />=<sp />trCmd<sp />|<sp />PERI_V2_TR_CMD_TR_EDGE_Msk;</highlight></codeline>
<codeline lineno="355"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="356"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__trigmux__macros_1gab3a2b0e75a195d5fb7020cecc2caf948">CY_TRIGGER_INFINITE</ref><sp />==<sp />cycles)<sp /></highlight><highlight class="comment">/*<sp />mxperi_v2<sp />or<sp />later,<sp />infinite<sp />activating<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="357"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="358"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PERI_TR_CMD<sp />=<sp />trCmd;</highlight></codeline>
<codeline lineno="359"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="360"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="comment">/*<sp />mxperi_v2<sp />or<sp />later,<sp />invalid<sp />cycles<sp />value<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="361"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="362"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea9a2a1fa39002a073d01220c7f2d5d252">CY_TRIGMUX_BAD_PARAM</ref>;</highlight></codeline>
<codeline lineno="363"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="364"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="365"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="366"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="367"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="368"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Forcibly<sp />deactivate<sp />the<sp />trigger<sp />if<sp />it<sp />is<sp />in<sp />the<sp />active<sp />state.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="369"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(PERI_TR_CMD_ACTIVATE_Msk<sp />==<sp />(PERI_TR_CMD<sp />&amp;<sp />PERI_TR_CMD_ACTIVATE_Msk))</highlight></codeline>
<codeline lineno="370"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="371"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />PERI_TR_CMD<sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="372"><highlight class="normal" /></codeline>
<codeline lineno="373"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp /><ref kindref="member" refid="group__group__trigmux__enums_1gga30a0d3f7caf6a59d3fb7a618a95ed6aea19e80892aa7755dd38c708994502d02c">CY_TRIGMUX_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="374"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="375"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="376"><highlight class="normal" /></codeline>
<codeline lineno="377"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />retVal;</highlight></codeline>
<codeline lineno="378"><highlight class="normal">}</highlight></codeline>
<codeline lineno="379"><highlight class="normal" /></codeline>
<codeline lineno="380"><highlight class="normal" /></codeline>
<codeline lineno="381"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_trigmux.c" />
  </compounddef>
</doxygen>